{ config, nodes, ... }:
{
  fileSystems = with config.sysusers; with nodes; {
    # Network mounts
    "/home/${main}/Network/Midas" = {
      device = "[${midas.config.deployment.targetHost}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${main}/Network/Kitty" = {
      device = "[${kitty.config.deployment.targetHost}]:/storage/bun";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${main}/Network/Prophet" = {
      device = "[${prophet.config.deployment.targetHost}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
